APIV1
Retrieve an item
Supply the unique dispute ID and receive corresponding item details.
AuthorizationBearer <token>
Merchant JWT bearer token
In: header
Scope: items.read
Path Parameters
itemId*string
A unique identifier for the item object.
Response Body
application/json
application/json
curl -X GET "https://example.com/items/string"{
"metaData": {
"property1": "string",
"property2": "string"
},
"referenceId": "string",
"description": "string",
"imageUrls": [
"https://www.randomurl.com"
],
"attributes": {
"size": "xs",
"color": "blue"
},
"sku": "string",
"amountMoney": {
"amount": 100,
"currency": "AED"
},
"name": "string",
"id": "string"
}{
"http_status_code": 100,
"moreInfo": "https://www.randomurl.com",
"name": "string",
"detail": "string",
"instance": "/pets/dogs/123",
"property1": null,
"property2": null
}Get historical exchange rates GET
Get the historical exchange rates for a given day. Note that we only store the last exchange rate calculated on that day.
Get latest exchange rates GET
Get the latest exchange rates Hands In is using. Updated on an hourly basis. We use these rates internally to enable capturing payments in multiple different currencies. If you are running a self-hosted solution, this endpoints may be helpful if you are trying to accept multiple currencies online.